cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1382
Views
0
Helpful
7
Replies

Authorization with V11 when running widget from another server

gfoster1
Beginner
Beginner

I am relatively new to Finesse.

I am building a new Widget which resides on a separate server.

I took the SampleGadget demo from the Finesse web site and I have a problem with V 11.0 which I work with.

I added to the creation of User an error handler:

user = new finesse.restservices.User({

                id: id,

                onLoad : handleUserLoad,

                onChange : handleUserChange,

                onError: handleUserError

            });

And when I run, I receive the following error:

LearningSampleGadget : Handle User Error start concat:15999:17

LearningSampleGadget :    Error-Status:401 concat:15999:17

Error-content:...... This request requires HTTP authentication. .......

Seems as I miss Authentication.

Therefore I tried a few things:

- I checked the value of '_prefs.getString("authorization")' and it's empty. So I create it using 'finesse.gadget.Config.authorization = btoa(id + ":" + my_password);'. Still 401

- I also noticed that remoteHost points to localhost so I changed it to the Finesse host. Still 401

- I wanted to turn on the internal logs of finesse.js and I was not successful (any one knows how to do it?)

I appreciate any help.

1 Accepted Solution

Accepted Solutions

dekwan
Cisco Employee
Cisco Employee

The sample gadget for 11.0 with updated instructions has been posted: https://github.com/CiscoDevNet/finesse-sample-code/tree/master/LearningSampleGadget 

 

Sorry for the long delay, the process of making the change and posting it to the site took longer than I expected.

 

Let me know if you have any issues with this sample gadget.

View solution in original post

7 Replies 7

ewindgat
Contributor
Contributor

You might want to make sure your SSL certificates are installed on all the Finesse servers. If you are using SSL. This could lead to your 401 issue.

Could out outline the details of how you access your gadget?

dekwan
Cisco Employee
Cisco Employee

Which sample gadget are you using? The learning sample gadget? Also, are you using UCCE or UCCX?

The gadgets on the Finesse website are for 10.5 and updates are needed for 11.0. I recently fixed the learning sample gadget for 11.0, but have not posted it to the site yet.

Denise,

You are correct. I am using the 10.5 sample on 11.0. Can you please send me the new sample? I will check and let you know if it fixes the problem.

Gibi

dekwan
Cisco Employee
Cisco Employee

Hi,

I am aiming to post the sample gadget for 11.0 sometime next week. I will let you know when it is posted.

Thanx,

Denise

dekwan
Cisco Employee
Cisco Employee

The sample gadget for 11.0 with updated instructions has been posted: https://github.com/CiscoDevNet/finesse-sample-code/tree/master/LearningSampleGadget 

 

Sorry for the long delay, the process of making the change and posting it to the site took longer than I expected.

 

Let me know if you have any issues with this sample gadget.

dekwan
Cisco Employee
Cisco Employee

Hi,

Just wondering if you had a chance to use the latest version of the Sample Gadget. If so, is this still an issue?

Thanx,

Denise

Hi Denise

Sorry, not yet. Hoping to get to it next week.

I'll keep you posted.

Thanks for your help

Gibi

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers